#!/usr/bin/gnuplot

# Miroslav Broz (miroslav.broz@email.cz), Jul 26th 2002

set colors classic
set term x11

set tit ""
set xl "diameter {/Helvetica-Oblique D} / km"
set yl "number of asteroids {/Helvetica-Oblique N} (>{/Helvetica-Oblique D})" offset 0.5

set xr [0.1:600]
miny=0.8
maxy=100000
set yr [miny:maxy]
set logscale xy

set xtics (\
  "0.1"  1e-1 0,\
  ""     2e-1 1,\
  ""     3e-1 1,\
  ""     4e-1 1,\
  ""     5e-1 1,\
  ""     6e-1 1,\
  ""     7e-1 1,\
  ""     8e-1 1,\
  ""     9e-1 1,\
  "1"    1e0  0,\
  ""     2e0  1,\
  ""     3e0  1,\
  ""     4e0  1,\
  ""     5e0  1,\
  ""     6e0  1,\
  ""     7e0  1,\
  ""     8e0  1,\
  ""     9e0  1,\
  "10"   1e1  0,\
  ""     2e1  1,\
  ""     3e1  1,\
  ""     4e1  1,\
  ""     5e1  1,\
  ""     6e1  1,\
  ""     7e1  1,\
  ""     8e1  1,\
  ""     9e1  1,\
  "100"  1e2  0,\
  ""     2e2  1,\
  ""     3e2  1,\
  ""     4e2  1,\
  "500"  5e2  0,\
  )
set ytics (\
  "1"    1e0 0,\
  ""     2e0 1,\
  ""     3e0 1,\
  ""     4e0 1,\
  ""     5e0 1,\
  ""     6e0 1,\
  ""     7e0 1,\
  ""     8e0 1,\
  ""     9e0 1,\
  "10"   1e1 0,\
  ""     2e1 1,\
  ""     3e1 1,\
  ""     4e1 1,\
  ""     5e1 1,\
  ""     6e1 1,\
  ""     7e1 1,\
  ""     8e1 1,\
  ""     9e1 1,\
  "100"  1e2 0,\
  ""     2e2 1,\
  ""     3e2 1,\
  ""     4e2 1,\
  ""     5e2 1,\
  ""     6e2 1,\
  ""     7e2 1,\
  ""     8e2 1,\
  ""     9e2 1,\
  "1000" 1e3 0,\
  ""     2e3 1,\
  ""     3e3 1,\
  ""     4e3 1,\
  ""     5e3 1,\
  ""     6e3 1,\
  ""     7e3 1,\
  ""     8e3 1,\
  ""     9e3 1,\
  "10^4" 1e4 0,\
  ""     2e4 1,\
  ""     3e4 1,\
  ""     4e4 1,\
  ""     5e4 1,\
  ""     6e4 1,\
  ""     7e4 1,\
  ""     8e4 1,\
  ""     9e4 1,\
  "10^5" 1e5 0,\
  )

set style line 1 lc 'gray' lw 0.5 # fit
set style line 3 lc 'black' lw 3   # Eurybates
set style line 5 lt 9 lw 0.5 # ranges

set mytics 10
set lmargin 7.5
set rmargin 0.6

load "family.plt"

#f_family1(x) = (10**2.72249756e+00) * x**(-1.31751913e+00)
#set label " {/=12{/Symbol -}1.3" at  1.1, f_family1( 2)
#  f_family1(x)         not            ls 1,\

p \
  f_family(x)          not            ls 1,\
  "family.dat_hc"      t "family" w l ls 3,\
  "family.dat_rng"     u 1:(miny+$2*(maxy-miny)) not w l ls 5
pa -1

set term postscript eps enh color solid "Helvetica" 18
set out "size_distribution.eps"
set size 0.625,0.9
rep

system("eps2png size_distribution.eps")

q

  "../../20_Massalia/size_distribution/family.dat_hc" w lp lc 'green',\
  "../../4_Vesta/size_distribution/family.dat_hc" w lp lc 'orange',\

